--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "restores object from string form, restore(store(val)) must return val. If you override store, you should override restore to reverse the action. For example, if you always just handle strings use:"
- !ruby/struct:SM::Flow::VERB 
  body: "  def restore(val)\n    val\n  end\n"
full_name: Irc::Bot::Registry::Accessor#restore
is_singleton: false
name: restore
params: (val)
visibility: public
